Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial
Name | ### available()
Examples |
    // Example by Tom Igoe

    import processing.serial.*;

    // The serial port:
    Serial myPort;

    void setup() {

      // List all the available serial ports:
      println(Serial.list());

      /*  I know that the first port in the serial list on my mac
      is always my  Keyspan adaptor, so I open Serial.list()[0].
      Open whatever port is the one you're using.
      */
      myPort = new Serial(this, Serial.list()[0], 9600);
    }

    void draw() {
      while (myPort.available() > 0) {
        int inByte = myPort.read();
        println(inByte);
      }
    }
Description | Returns the number of bytes available.
Syntax |
    serial.available()
Parameters |
serial | any variable of type Serial
Usage | Web & Application

Updated on December 20, 2005 02:03:00pm PST